package com.diagbot.vo;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class RelationNodeVO {
	
	/**
	 * 当前概念id start_id
	 */
	private Long conceptId;
	
	/**
	 * 上一级概念id end_id
	 */
	private Long parentConceptId;
	
	/**
	 * 当前概念(起点术语) 与 上一级概念(终点术语) 关系id
	 */
	private Long relationId;
    
	/**
	 * 当前概念 与 下一级概念 关系id
	 */
	private Long sonRelationId;
	
	/**
	 * 下一级概念
	 */
	private List<RelationNodeVO> nodeList;
	
    
}